openSUSE Security Update : containerd / docker / runc (openSUSE-2017-181)

This script is Copyright (C) 2017 Tenable Network Security, Inc.


Synopsis :

The remote openSUSE host is missing a security update.

Description :

This update for

- containerd,

- docker to version 1.12.6 and

- runc fixes several issues.

This security issues was fixed :

- CVE-2016-9962: container escape vulnerability
(bsc#1012568).

Thsese non-security issues were fixed :

- boo#1019251: Add a delay when starting docker service

- Fixed bash-completion

- boo#1015661: add the /usr/bin/docker-run symlink

For additional details please see the changelog.

See also :

https://bugzilla.opensuse.org/show_bug.cgi?id=1004490
https://bugzilla.opensuse.org/show_bug.cgi?id=1009961
https://bugzilla.opensuse.org/show_bug.cgi?id=1012568
https://bugzilla.opensuse.org/show_bug.cgi?id=1015661
https://bugzilla.opensuse.org/show_bug.cgi?id=1016307
https://bugzilla.opensuse.org/show_bug.cgi?id=1019251
https://bugzilla.opensuse.org/show_bug.cgi?id=988408

Solution :

Update the affected containerd / docker / runc packages.

Risk factor :

Medium / CVSS Base Score : 4.4
(CVSS2#AV:L/AC:M/Au:N/C:P/I:P/A:P)

Family: SuSE Local Security Checks

Nessus Plugin ID: 96918 ()

Bugtraq ID:

CVE ID: CVE-2016-9962

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now